Fetch Deflection Logs
curl --request GET \
--url https://api.chargeblast.com/api/v3/deflections/logs \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <x-api-key>' \
--data '
{
"filter": {
"endDate": "<string>",
"gateway": "<string>",
"startDate": "<string>",
"status": "<string>"
}
}
'import requests
url = "https://api.chargeblast.com/api/v3/deflections/logs"
payload = { "filter": {
"endDate": "<string>",
"gateway": "<string>",
"startDate": "<string>",
"status": "<string>"
} }
headers = {
"X-API-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {
endDate: '<string>',
gateway: '<string>',
startDate: '<string>',
status: '<string>'
}
})
};
fetch('https://api.chargeblast.com/api/v3/deflections/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"logs": [
{
"request": {
"arn": "<string>",
"descriptor": "<string>",
"transactionDate": "<string>",
"amount": 123,
"currency": "<string>",
"bin": "<string>",
"last4": "<string>"
},
"response": {
"hasDeflectElements": true,
"deflectElementsMissing": "<string>",
"chargeId": "<string>",
"gateway": "<string>"
}
}
],
"total": 123,
"page": 123,
"per": 123
}Digital Receipts & Deflections
Fetch Deflection Logs
Get a list of all look up requests.
GET
/
api
/
v3
/
deflections
/
logs
Fetch Deflection Logs
Headers
Your API key. Sent in the X-API-Key header.
Query Parameters
The starting page of the request. Default value of 0.
How many objects to request per page. Default value of 10.
Body
application/json
Show child attributes
Show child attributes
⌘I
